#
# indent-fishing.R, 10 Nov 24
#
# Data from:
# Indentation in Source Code: A Randomized Control Trial on the Readability of Control Flows in Java Code with Large Effects
# Johannes Morzeck, Stefan Hanenberg, Ole Werger, and Volker Gruhn


library("lme4")
library("reshape2")

tm=read.csv("TimeMeasurements.csv", as.is=TRUE)

tm$subject=paste0("s", 1:nrow(tm))

itm=melt(tm, id.vars=c("subject", "Student"), value.name="time")

itm$time=as.numeric(itm$time)

itm$Indent=!grepl("NoIndent", itm$variable)
itm$Bracket=!grepl("NoBracket", itm$variable)
itm$Mixed=grepl("Mixed", itm$variable)

# perf_mod=glm(time ~ Indent*Mixed+subject, data=itm)
# perf_mod=glm(time ~ Indent*Mixed+Student, data=itm)
perf_mod=glm(time ~ Indent*Mixed, data=itm)
summary(perf_mod)

perf_mix=lmer(time ~ Indent*Mixed+(1 | subject), data=itm)
summary(perf_mix)


